Rails.application.routes.draw do
  namespace :panel do
    namespace :archive do
      namespace :back_end do
        resources :archive_files do
          collection do
            get 'delete'
          end
        end
        resources :archive_file_categorys
        resources :tags
      end
      namespace :front_end do
        match "archive_files" => "archive_files#index"
        resources :archive_files
      end
      namespace :widget do
        match "index" => "archive_files#index"
        match "archive_search_block" => "archive_files#archive_search_block"
      end
    end
  end
  match "/appfront/*path" => redirect("/panel/*path")
end